Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbehave.core.reporters
Enum ANSIConsoleOutput.SGRCode

    java.lang.Object
      java.lang.Enum<ANSIConsoleOutput.SGRCode>
          org.jbehave.core.reporters.ANSIConsoleOutput.SGRCode

All Implemented Interfaces:
  Serializable, Comparable<ANSIConsoleOutput.SGRCode>

Enclosing class:
  ANSIConsoleOutput

    public static enum ANSIConsoleOutput.SGRCode

extends Enum<ANSIConsoleOutput.SGRCode>

Enum Constant Summary
`BLACK`
`BLINK`
`BLUE`
`BOLD`
`CONCEALED`
`CYAN`
`DARK`
`GREEN`
`ITALIC`
`MAGENTA`
`NEGATIVE`
`ON_BLACK`
`ON_BLUE`
`ON_CYAN`
`ON_GREEN`
`ON_MAGENTA`
`ON_RED`
`ON_WHITE`
`ON_YELLOW`
`RAPID_BLINK`
`RED`
`RESET`
`STRIKETHROUGH`
`UNDERLINE`
`WHITE`
`YELLOW`

Method Summary
`String` | `toString()`
`static ANSIConsoleOutput.SGRCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ANSIConsoleOutput.SGRCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RESET

    public static final ANSIConsoleOutput.SGRCode RESET

### BOLD

    public static final ANSIConsoleOutput.SGRCode BOLD

### DARK

    public static final ANSIConsoleOutput.SGRCode DARK

### ITALIC

    public static final ANSIConsoleOutput.SGRCode ITALIC

### UNDERLINE

    public static final ANSIConsoleOutput.SGRCode UNDERLINE

### BLINK

    public static final ANSIConsoleOutput.SGRCode BLINK

### RAPID_BLINK

    public static final ANSIConsoleOutput.SGRCode RAPID_BLINK

### NEGATIVE

    public static final ANSIConsoleOutput.SGRCode NEGATIVE

### CONCEALED

    public static final ANSIConsoleOutput.SGRCode CONCEALED

### STRIKETHROUGH

    public static final ANSIConsoleOutput.SGRCode STRIKETHROUGH

### BLACK

    public static final ANSIConsoleOutput.SGRCode BLACK

### RED

    public static final ANSIConsoleOutput.SGRCode RED

### GREEN

    public static final ANSIConsoleOutput.SGRCode GREEN

### YELLOW

    public static final ANSIConsoleOutput.SGRCode YELLOW

### BLUE

    public static final ANSIConsoleOutput.SGRCode BLUE

### MAGENTA

    public static final ANSIConsoleOutput.SGRCode MAGENTA

### CYAN

    public static final ANSIConsoleOutput.SGRCode CYAN

### WHITE

    public static final ANSIConsoleOutput.SGRCode WHITE

### ON_BLACK

    public static final ANSIConsoleOutput.SGRCode ON_BLACK

### ON_RED

    public static final ANSIConsoleOutput.SGRCode ON_RED

### ON_GREEN

    public static final ANSIConsoleOutput.SGRCode ON_GREEN

### ON_YELLOW

    public static final ANSIConsoleOutput.SGRCode ON_YELLOW

### ON_BLUE

    public static final ANSIConsoleOutput.SGRCode ON_BLUE

### ON_MAGENTA

    public static final ANSIConsoleOutput.SGRCode ON_MAGENTA

### ON_CYAN

    public static final ANSIConsoleOutput.SGRCode ON_CYAN

### ON_WHITE

    public static final ANSIConsoleOutput.SGRCode ON_WHITE

Method Detail

### values

    public static ANSIConsoleOutput.SGRCode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ANSIConsoleOutput.SGRCode c : ANSIConsoleOutput.SGRCode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ANSIConsoleOutput.SGRCode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ANSIConsoleOutput.SGRCode>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2013. All Rights Reserved.